/*
 ******************************************************************************************
 * @file      retarget.c
 * @author    GowinSemicoductor
 * @device    Gowin_EMPU_M1
 * @brief     UART printf and scanf retarget function.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "GOWIN_M1.h"
#include <stdio.h>
#include <sys/stat.h>


/* Definitions ---------------------------------------------------------------*/
__attribute__ ((used))  int _write (int fd, char *ptr, int len)
{
  size_t i;

  for (i=0; i<len; i++)
  {
    UART_SendChar(UART0,ptr[i]); // call character output function
  }

  return len;
}

void _close(void)
{

}

void _lseek(void)
{

}

void _read(void)
{

}

void _fstat(void)
{

}

void _kill(void)
{

}

void _isatty(void)
{

}

void _getpid(void)
{

}
